Subject: Re: [PATCH, net-next] perf, bpf: fix conditional call to bpf_overflow_handler

From: Ingo Molnar <[email-masked]>
Date: Thu, 8 Sep 2016 11:40:17 +0200

* Daniel Borkmann <[email-masked]> wrote:

> On 09/08/2016 09:01 AM, Ingo Molnar wrote:
> >* Peter Zijlstra <[email-masked]> wrote:
> >>On Thu, Sep 08, 2016 at 08:30:52AM +0200, Ingo Molnar wrote:
> >>>>Thanks for the fix. Just saw build bot complaining last night and
> >>>>by the morning your fix is already here. Thanks!
> >>>
> >>>Guys, this is the first time I saw this patch (and presumably there's some other
> >>>patch as well?) - could you please submit it properly for review and get an
> >>>Acked-by from one of the perf maintainers before appying it?
> >>
> >>I was involved with the original patch and Ack'ed it.
> >
> >Neither the Ack nor the Cc:s were preserved in the net-next commit:
> >
> >   aa6a5f3cb2b2 ("perf, bpf: add perf events core support for BPF_PROG_TYPE_PERF_EVENT programs")
> 
> Afaik patchwork doesn't pick up Acks when they are against the
> cover letter of a series. [...]

That's unfortunate - I usually add them in manually.

> [...] For the series that includes mentioned commit, Peter's Ack is here:
> 
>     4df20483ab28 ("Merge branch 'bpf-perf-hw-sw-events'")

Looks good!

Thanks,

	Ingo